Notus API
Smart wallets

Update Wallet Metadata

This endpoint updates the metadata for a specific wallet. The metadata is merged with existing metadata if present.

PATCH
/api/v1/wallets/{walletId}/metadata

Authorization

x-api-key
x-api-key<token>

In: header

Path Parameters

walletId*string

Wallet address (in hexadecimal format)

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/v1/wallets/0x6e397ddf51d9f15dbe0414538e7529f51f2e5464/metadata" \  -H "Content-Type: application/json" \  -d '{    "metadata": {      "key": "value"    }  }'
{  "wallet": {    "metadata": {      "key": "value"    },    "walletAddress": "0x6e397ddf51d9f15dbe0414538e7529f51f2e5464",    "externallyOwnedAccount": "0x133700000000000000000000000000000000c0de",    "factory": "0x0000000000400cdfef5e2714e63d8040b700bc24",    "implementation": "0x8e8e658e22b12ada97b402ff0b044d6a325013c7",    "eip7702": false,    "deployed": [      {        "chain": {          "id": 137,          "name": "POLYGON",          "logo": "https://logopolygon.com"        },        "deployed": true      }    ],    "salt": 12345,    "registeredAt": "2025-08-06T16:57:09.249Z",    "lastTransactionAt": "2025-08-06T16:57:09.249Z"  }}